sc::Volume(3)

NAME
sc::Volume -

A Volume is a Function of three variables.

SYNOPSIS

#include <volume.h>

Inherits sc::Function.

Inherited by sc::BatchElectronDensity, sc::ElectronDensity, sc::Orbital, and sc::Shape.

  Public Member Functions
Volume (const Ref< KeyVal > &)
void set_gradient (const SCVector3 &g)
void set_gradient (RefSCVector &g)
void get_gradient (SCVector3 &g)
void set_x (const SCVector3 &x)
void set_x (const RefSCVector &x)
Set and retrieve the coordinate values.
void get_x (SCVector3 &x)
virtual void boundingbox (double valuemin, double valuemax, SCVector3 &p1, SCVector3 &p2)=0
virtual void interpolate (const SCVector3 &p1, const SCVector3 &p2, double value, SCVector3 &result)
virtual void solve (const SCVector3 &p, const SCVector3 &grad, double value, SCVector3 &result)

  Protected Member Functions
double & interpolation_accuracy ()
virtual void compute ()=0
Recompute at least the results that have compute true and are not already computed.
virtual void failure (const char *)

  Additional Inherited Members

Detailed Description

A Volume is a Function of three variables.

Member Function Documentation

  virtual void sc::Volume::compute () [protected], [pure virtual]

Recompute at least the results that have compute true and are not already computed. This should only be called by Result's members.

Implements sc::Compute.

Implemented in sc::BatchElectronDensity, sc::Shape, sc::ElectronDensity, and sc::Orbital.

Author

Generated automatically by Doxygen for MPQC from the source code.